Attribute VB_Name = "Linker"
Sub GetItemIDs()

    Dim myOlApp As Application
    Dim myNameSpace As NameSpace
    Dim strLinks As String
    Dim myData As DataObject
    
    Set myOlApp = CreateObject("Outlook.Application")
    Set myNameSpace = myOlApp.GetNamespace("MAPI")
    Set myData = New DataObject
    
    ' Figure out if the active window is a list of messages or one message
    ' in its own window
    Select Case myOlApp.ActiveWindow.Class
        ' The active window is a list of messages (folder); this means there
        ' might be several selected messages
        Case olExplorer
            ' Append the IDs of the selected items to a string
            For Each selectedItem In myOlApp.ActiveExplorer.Selection
               strLinks = strLinks & "outlook:" & selectedItem.EntryID
               ' Append a New Line character if more than 1 items is selected
               If myOlApp.ActiveExplorer.Selection.Count > 1 Then
                strLinks = strLinks & Chr(10)
               End If
            Next
             
        ' The active window is an Inspector window, meaning there will only
        ' be one selected message (the one in this window)
        Case olInspector
            ' Put the ID of the selected item in a string
            Set selectedItem = myOlApp.ActiveInspector.currentItem
            strLinks = "outlook:" & selectedItem.EntryID
        ' can't handle any other kind of window; anything else will be ignored
    End Select

    ' move the text to the clipboard
    myData.SetText strLinks
    myData.PutInClipboard
    
End Sub
